Loading...
Searching...
No Matches
GuidewireSim.ForceTestPerformer Class Reference
Inheritance diagram for GuidewireSim.ForceTestPerformer:

## Private Member Functions

void | Awake ()
void | Start ()
void | PerformForceTests ()
void | PerformForceTestOne ()
void | PerformForceTestTwo ()
IEnumerator | PerformForceTestThree (Vector3 pullForce, float applyForceTime=1f)
void | PerformForceTestFour ()
void | PerformSingleLoopTest ()

## Private Attributes

SimulationLoop | simulationLoop
| The SimulationLoop component that executes all steps of the simulation loop. More...
bool | doForceTestOne = false
| Whether to run Force Test One. This test applies gravity to all spheres. More...
bool | doForceTestTwo = false
| Whether to run Force Test Two. This test applies an external force to one end of the guidewire. More...
bool | doForceTestThree = false
bool | doForceTestFour = false
bool | doSingleLoopTest = false
Vector3 | pullForceTestThree = new Vector3(0f, 3f, 0f)
| External force that is applied in Force Test Three. More...

## Detailed Description

This class enables the user to test the impact of external forces with one button within the Unity inspector.

## Member Function Documentation

## Awake()

void GuidewireSim.ForceTestPerformer.Awake | ( |  | ) |

private

## PerformForceTestFour()

void GuidewireSim.ForceTestPerformer.PerformForceTestFour | ( |  | ) |

private

Performs force test four. This test applies an external force to one end of the guidewire and the opposite force at the other end of the guidewire.

## PerformForceTestOne()

void GuidewireSim.ForceTestPerformer.PerformForceTestOne | ( |  | ) |

private

Performs force test one. This test applies gravity to all spheres.

## PerformForceTests()

void GuidewireSim.ForceTestPerformer.PerformForceTests | ( |  | ) |

private

Performs each Force Test whose respective serialized boolean is set to true in the Unity inspector.

## PerformForceTestThree()

IEnumerator GuidewireSim.ForceTestPerformer.PerformForceTestThree | ( | Vector3 | pullForce,
|  | float | applyForceTime = `1f`
| ) |  |

private

Performs force test three. This test applies an external force to one end of the guidewire for a fixed amount of time and then the opposite force at the same sphere for the same amount of time.

Parameters

  applyForceTime | For how many seconds to apply the force to the particles.

## PerformForceTestTwo()

void GuidewireSim.ForceTestPerformer.PerformForceTestTwo | ( |  | ) |

private

Performs force test two. This test applies an external force to one end of the guidewire.

## PerformSingleLoopTest()

void GuidewireSim.ForceTestPerformer.PerformSingleLoopTest | ( |  | ) |

private

Performs the single loop test. This test shifts one end of the guidewire and runs the simulation for exactly one loop iteration to test constraint solving.

Note
  Position of particle one stays at (0, 0, 0), while the section particle shifts to about (10, 2, 0). Expected result is that both particles move a bit towards each other and reestablish a distance of 10 between them.

## Start()

void GuidewireSim.ForceTestPerformer.Start | ( |  | ) |

private

## Member Data Documentation

## doForceTestFour

bool GuidewireSim.ForceTestPerformer.doForceTestFour = false

private

Whether to run Force Test Four. This test applies an external force to one end of the guidewire and the opposite force at the other end of the guidewire.

## doForceTestOne

bool GuidewireSim.ForceTestPerformer.doForceTestOne = false

private

Whether to run Force Test One. This test applies gravity to all spheres.

## doForceTestThree

bool GuidewireSim.ForceTestPerformer.doForceTestThree = false

private

Whether to run Force Test Three. This test applies an external force to one end of the guidewire for a fixed amount of time and then the opposite force at the same sphere for the same amount of time.

## doForceTestTwo

bool GuidewireSim.ForceTestPerformer.doForceTestTwo = false

private

Whether to run Force Test Two. This test applies an external force to one end of the guidewire.

## doSingleLoopTest

bool GuidewireSim.ForceTestPerformer.doSingleLoopTest = false

private

Whether to run the Single Loop Test. This test shifts one end of the guidewire and runs the simulation for exactly one loop iteration to test constraint solving.

## pullForceTestThree

Vector3 GuidewireSim.ForceTestPerformer.pullForceTestThree = new Vector3(0f, 3f, 0f)

private

External force that is applied in Force Test Three.

## simulationLoop

SimulationLoop GuidewireSim.ForceTestPerformer.simulationLoop

private

The SimulationLoop component that executes all steps of the simulation loop.

The documentation for this class was generated from the following file:

- ForceTestPerformer.cs